Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 494219 - Review Request: trac-accountmanager-plugin - Account manager plugin for trac
Summary: Review Request: trac-accountmanager-plugin - Account manager plugin for trac
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-04-05 17:46 UTC by Lorenzo Villani
Modified: 2009-08-18 15:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-22 13:06:08 UTC


Attachments (Terms of Use)

Description Lorenzo Villani 2009-04-05 17:46:33 UTC
Spec URL: http://git.binaryhelix.net/cgit/rpms/plain/trac-accountmanager-plugin/trac-accountmanager-plugin.spec?id=d5ca2fc49091fec96331f599a58e5587787b28f1
SRPM URL:http://fedorapeople.org/~arbiter/trac-accountmanager-plugin-0.2.1-1.20090406svn5484.fc11.src.rpm
Description:
The AccountManagerPlugin offers several features for managing user accounts:
    * allow users to register new accounts
    * login via an HTML form instead of using HTTP authentication
    * allow existing users to change their passwords or delete their accounts

Comment 1 Paul Howarth 2009-06-11 13:51:42 UTC
Thanks for packaging this up. I've used this package to set up my own trac instance using mod_fcgid and it all seems to be working fine.

I've documented the process here:
http://www.city-fan.org/tips/TracWithFastCGIonFedora

Anyway, I'll now return the favour by reviewing this package for you.

Comment 2 Paul Howarth 2009-06-11 15:09:33 UTC
Review Guidelines
=================
- rpmlint clean
- package name is OK and is consistent with existing trac plugin packages in Fedora
- spec file name consistent with package name
- package meets guidelines
- Beerware license is OK for Fedora
- correct "Copyright only" License field used in spec
- no detached license file to include
- spec file written in English and is legible
- source pulling instructions are missing "-r" option to set svn revision
- sources from SRPM match sources from upstream VCS
- package builds OK in mock for Fedora 10 (x86_64)
- buildreqs fine
- no locale data, libs, or devel files to worry about
- not relocatable
- directory ownership is fine
- no duplicate entries in %files list
- %defattr(...) and %clean present and correct
- macro usage is consistent
- code, not content
- no large docs (in fact hardly any docs at all!)
- docs don't affect runtime
- not a GUI app, no .desktop file needed
- %install section properly cleans buildroot
- filenames all valid UTF-8
- no scriptlets needed
- package appears to work as advertised
- no subpackages used
- no file dependencies

Notes
=====

Perhaps add comment that python-setuptools runtime dependency is
needed for pkg_resources import?

Please include contrib/sessionstore_convert.py as %doc
(see http://www.mailinglistarchive.com/trac-users@googlegroups.com/msg03696.html)

Please add -r $svnrel to svn export instructions

Comment 3 Paul Howarth 2009-07-08 20:17:19 UTC
These could do with being fixed too, though that's probably more of an upstream issue:

/usr/lib/python2.6/site-packages/acct_mgr/pwhash.py:13: DeprecationWarning: the md5 module is deprecated; use hashlib instead
  import md5, sha
/usr/lib/python2.6/site-packages/acct_mgr/pwhash.py:13: DeprecationWarning: the sha module is deprecated; use the hashlib module instead
  import md5, sha

Comment 4 Lorenzo Villani 2009-07-22 13:06:08 UTC
I stopped using trac and switched to another PMS, I have no more interest updating this package. You can take this package and get it reviewed if you want.

I'm changing to CLOSED WONTFIX, feel free to re-open it if you are interested.

Comment 5 Paul Howarth 2009-08-18 15:16:57 UTC
I've now made a new package submission in Bug #518046


Note You need to log in before you can comment on or make changes to this bug.